Package com.avaya.clientservices.network.security

## Class IntegratedHostnameVerifier

- java.lang.Object
- - com.avaya.clientservices.network.security.IntegratedHostnameVerifier

- All Implemented Interfaces:
    `javax.net.ssl.HostnameVerifier`, `org.apache.http.conn.ssl.X509HostnameVerifier`

      public class IntegratedHostnameVerifier
      extends java.lang.Object
      implements org.apache.http.conn.ssl.X509HostnameVerifier

  HostnameVerifier for Client SDK. Integrates Network Provider with Certificate Manager.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegratedHostnameVerifier​(CertificateManager certificateManager)` |
    `IntegratedHostnameVerifier​(CertificateManager certificateManager, boolean overridePrivateTrustStore)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `verify​(java.lang.String s, java.lang.String[] strings, java.lang.String[] strings1)` |
    `void` | `verify​(java.lang.String hostname, java.security.cert.X509Certificate x509Certificate)` |
    `boolean` | `verify​(java.lang.String hostname, javax.net.ssl.SSLSession sslSession)` |
    `void` | `verify​(java.lang.String hostname, javax.net.ssl.SSLSocket sslSocket)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegratedHostnameVerifier

          public IntegratedHostnameVerifier​(CertificateManager certificateManager,
                                            boolean overridePrivateTrustStore)

    - #### IntegratedHostnameVerifier

          public IntegratedHostnameVerifier​(CertificateManager certificateManager)

  - ### Method Detail

    - #### verify

          public boolean verify​(java.lang.String hostname,
                                javax.net.ssl.SSLSession sslSession)

      Specified by:
        `verify` in interface `javax.net.ssl.HostnameVerifier`
      Specified by:
        `verify` in interface `org.apache.http.conn.ssl.X509HostnameVerifier`

    - #### verify

          public void verify​(java.lang.String hostname,
                             javax.net.ssl.SSLSocket sslSocket)
                      throws java.io.IOException

      Specified by:
        `verify` in interface `org.apache.http.conn.ssl.X509HostnameVerifier`
      Throws:
        `java.io.IOException`

    - #### verify

          public void verify​(java.lang.String hostname,
                             java.security.cert.X509Certificate x509Certificate)
                      throws javax.net.ssl.SSLException

      Specified by:
        `verify` in interface `org.apache.http.conn.ssl.X509HostnameVerifier`
      Throws:
        `javax.net.ssl.SSLException`

    - #### verify

          public void verify​(java.lang.String s,
                             java.lang.String[] strings,
                             java.lang.String[] strings1)
                      throws javax.net.ssl.SSLException

      Specified by:
        `verify` in interface `org.apache.http.conn.ssl.X509HostnameVerifier`
      Throws:
        `javax.net.ssl.SSLException`